org.eclipse.rdf4j.model.util.language

## Interface LanguageTagCodes

- All Known Implementing Classes:
    IanaLanguageTag, Iso639, LanguageTag

  Deprecated.
  Use `instead`

      @Deprecated
      public interface LanguageTagCodes

  Informational values about language codes. Values to be OR-ed together.
  Author:
    jjc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LT_DEFAULT` Deprecated. The special tag `i-default`.
    `static int` | `LT_EXTRA` Deprecated. A tag with non-standard extra subtags.
    `static int` | `LT_IANA` Deprecated. A tag in the IANA registry.
    `static int` | `LT_IANA_DEPRECATED` Deprecated. A language tag that is deprecated in the IANA registry.
    `static int` | `LT_ILLEGAL` Deprecated. An illegal tag.
    `static int` | `LT_ISO3166` Deprecated. The second subtag is from ISO3166 and identifies a country.
    `static int` | `LT_ISO639` Deprecated. The first subtag is from ISO639-1 or ISO639-2 and identifies a language,
    `static int` | `LT_LOCAL_USE` Deprecated. A special ISO639-2 local use language tag.
    `static int` | `LT_MULTIPLE` Deprecated. The special ISO639-2 language tag `mul`.
    `static int` | `LT_PRIVATE_USE` Deprecated. An RFC3066 private use tag.
    `static int` | `LT_UNDETERMINED` Deprecated. The undetermined ISO639-2 language `und`.

- - ### Field Detail

    - #### LT_DEFAULT

          static final int LT_DEFAULT

      Deprecated.
      The special tag `i-default`.
      See Also:
        Constant Field Values

    - #### LT_EXTRA

          static final int LT_EXTRA

      Deprecated.
      A tag with non-standard extra subtags. Set for language tags with additional subtags over their IANA registration, or a third subtag for unregistered tags of the form ISO639Code-ISO3166Code.
      See Also:
        Constant Field Values

    - #### LT_IANA

          static final int LT_IANA

      Deprecated.
      A tag in the IANA registry.
      See Also:
        Constant Field Values

    - #### LT_ILLEGAL

          static final int LT_ILLEGAL

      Deprecated.
      An illegal tag. Some rule of RFC3066 failed, or the tag is not in IANA, or ISO639 or ISO3166.
      See Also:
        Constant Field Values

    - #### LT_ISO3166

          static final int LT_ISO3166

      Deprecated.
      The second subtag is from ISO3166 and identifies a country.
      See Also:
        Constant Field Values

    - #### LT_ISO639

          static final int LT_ISO639

      Deprecated.
      The first subtag is from ISO639-1 or ISO639-2 and identifies a language,
      See Also:
        Constant Field Values

    - #### LT_LOCAL_USE

          static final int LT_LOCAL_USE

      Deprecated.
      A special ISO639-2 local use language tag. A three letter code 'q[a-t][a-z]'.
      See Also:
        Constant Field Values

    - #### LT_MULTIPLE

          static final int LT_MULTIPLE

      Deprecated.
      The special ISO639-2 language tag `mul`. This indicates multiple languages.
      See Also:
        Constant Field Values

    - #### LT_PRIVATE_USE

          static final int LT_PRIVATE_USE

      Deprecated.
      An RFC3066 private use tag. A language tag of the form `x-????`.
      See Also:
        Constant Field Values

    - #### LT_UNDETERMINED

          static final int LT_UNDETERMINED

      Deprecated.
      The undetermined ISO639-2 language `und`.
      See Also:
        Constant Field Values

    - #### LT_IANA_DEPRECATED

          static final int LT_IANA_DEPRECATED

      Deprecated.
      A language tag that is deprecated in the IANA registry.
      See Also:
        Constant Field Values

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.